Bug 681608 - KeyError: '/dev/md126'
KeyError: '/dev/md126'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
15
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
hatanaconda_trace_hash:78511e29812af3...
:
Depends On:
Blocks: F15Beta/F15BetaBlocker
  Show dependency treegraph
 
Reported: 2011-03-02 12:56 EST by Sandro Mathys
Modified: 2011-04-05 17:39 EDT (History)
6 users (show)

See Also:
Fixed In Version: anaconda-15.26-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-05 17:39:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (514.86 KB, text/plain)
2011-03-02 12:56 EST, Sandro Mathys
no flags Details
Patch to fix installation to firmware raid in f15 (6.84 KB, patch)
2011-03-02 17:04 EST, David Lehman
no flags Details | Diff
storage.log after applying patch (2011-03-02 17:04 EST, Dave Lehman) (185.11 KB, text/plain)
2011-03-02 17:28 EST, Sandro Mathys
no flags Details
program.log after applying patch (2011-03-02 17:04 EST, Dave Lehman) (61.80 KB, text/plain)
2011-03-02 17:28 EST, Sandro Mathys
no flags Details
anaconda.log after applying patch (2011-03-02 17:04 EST, Dave Lehman) (3.05 KB, text/plain)
2011-03-02 17:29 EST, Sandro Mathys
no flags Details
Patch to fix installation to firmware raid in f15 (7.20 KB, patch)
2011-03-02 20:24 EST, David Lehman
no flags Details | Diff
Attached traceback automatically from anaconda. (515.42 KB, text/plain)
2011-03-03 01:56 EST, Sandro Mathys
no flags Details
Patch to fix installation to firmware raid in f15 (7.68 KB, patch)
2011-03-03 10:27 EST, David Lehman
no flags Details | Diff

  None (edit)
Description Sandro Mathys 2011-03-02 12:56:29 EST
The following was filed automatically by anaconda:
anaconda 15.20.1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/partitioning.py", line 984, in allocatePartitions
    disklabel = disklabels[_disk.path]
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/partitioning.py", line 857, in doPartitioning
    allocatePartitions(storage, disks, partitions, free)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/partitioning.py", line 222, in doAutoPartition
    doPartitioning(anaconda.storage)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 211, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 130, in gotoNext
    self.moveStep()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1257, in nextClicked
    self.anaconda.dispatch.gotoNext()
KeyError: '/dev/md126'
Comment 1 Sandro Mathys 2011-03-02 12:56:35 EST
Created attachment 481918 [details]
Attached traceback automatically from anaconda.
Comment 2 Sandro Mathys 2011-03-02 12:59:52 EST
So, I hit this issue after applying the patches from bug 678877, bug 680226 and bug 678689 (the third already being included in the second).

What I do to reproduce this is as follows.

Specialized Storage Devices:
- SATA disk
- BIOS RAID set (stripe)

<many rather unimportant steps>

Type of Installation:
- Use All Space
- Encrypt System
- Review and modify partitioning layout

Install Target Devices:
- SATA disk
- BIOS RAID set (stripe) <- Boot Loader

After I chose my targets, set the boot loader from SATA to RAID and clicked 'next' I hit the issue.
Comment 3 Adam Williamson 2011-03-02 15:02:19 EST
this is another Beta blocker - they're all Beta blockers until we can actually install to the RAID array.
Comment 4 David Lehman 2011-03-02 17:04:59 EST
Created attachment 481949 [details]
Patch to fix installation to firmware raid in f15

Try this patch. It combines all of the uncommitted firmware RAID fixes for F15, including an additional bit specifically for this bug.
Comment 5 Sandro Mathys 2011-03-02 17:28:11 EST
Created attachment 481961 [details]
storage.log after applying patch (2011-03-02 17:04 EST, Dave Lehman)
Comment 6 Sandro Mathys 2011-03-02 17:28:51 EST
Created attachment 481962 [details]
program.log after applying patch (2011-03-02 17:04 EST, Dave Lehman)
Comment 7 Sandro Mathys 2011-03-02 17:29:51 EST
Created attachment 481963 [details]
anaconda.log after applying patch (2011-03-02 17:04 EST, Dave Lehman)
Comment 8 Sandro Mathys 2011-03-02 17:31:15 EST
That patch actually made things worse again - throwing an exception at me again when/after first choosing specialized target devices:

DeviceTreeError: MD RAID device md126 not in devicetree after scanning all slaves
Comment 9 David Lehman 2011-03-02 20:24:47 EST
Created attachment 481980 [details]
Patch to fix installation to firmware raid in f15

Try this patch, please -- it replaces the previous patch, so you'll want to revert the other one before applying this one.
Comment 10 Sandro Mathys 2011-03-03 01:56:56 EST
Created attachment 482002 [details]
Attached traceback automatically from anaconda.
Comment 11 Sandro Mathys 2011-03-03 01:59:01 EST
So I still hit this bug with the most recent patch.
Comment 12 David Lehman 2011-03-03 10:27:08 EST
Created attachment 482104 [details]
Patch to fix installation to firmware raid in f15

New version, including another fix that should allow exclusiveDisks to work correctly.
Comment 13 David Lehman 2011-03-04 11:22:50 EST
Last patch had a problem. It did not take into account the fact that mdadm will
append an underscore and some number of digits to the name of an array it
assembles if the system hostname at the time of assembly does not match the
hostname in the array metadata. Good stuff.

New patch:

  http://dlehman.fedorapeople.org/fwraid-f15.4.patch

New updates:

  http://dlehman.fedorapeople.org/updates-fwraid-f15.4.img


Please test and let me know the results.
Comment 14 Sandro Mathys 2011-03-04 12:06:46 EST
Fix (for all 5? or so bugs) confirmed with Alpha RC2/Live/KDE/x86_64 :)

Great, thanks for the hard work!
Comment 15 David Lehman 2011-03-09 14:07:42 EST
Fixed for Fedora 15 in anaconda-15.22-1.
Comment 16 James Laska 2011-03-11 14:40:51 EST
Discussed at 2011-03-11 blocker review meeting.  This issue is fixed and available for testing in anaconda-15.22-1.  The issue has been accepted as a beta blocker.
Comment 17 Fedora Update System 2011-03-29 16:59:10 EDT
anaconda-15.26-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/anaconda-15.26-1.fc15
Comment 18 Fedora Update System 2011-03-29 22:26:03 EDT
Package anaconda-15.26-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-15.26-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/anaconda-15.26-1.fc15
then log in and leave karma (feedback).
Comment 19 Fedora Update System 2011-04-05 17:37:58 EDT
anaconda-15.26-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.